Subject: RE: Potential problems with Cygwin GCC and -mno-cygwin switch
From: "Jon Leichter" <[email-masked]>
To: "Robert Collins" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 27 Dec 2001 17:57:02 -0800

Sorry Chris... just some final words...

> -----Original Message-----
> From: Robert Collins [mailto:[email-masked]]
> Sent: Thursday, December 27, 2001 5:28 AM
> To: Jon Leichter; [email-masked]
> Subject: Re: Potential problems with Cygwin GCC and -mno-cygwin switch
>
> > 3) There's a problem with Cygwin-specific libraries residing in
> >    /usr/lib.  ...  I, of course, updated the specs file to accomodate
> >    this. My environment now works flawlessly. When OpenLDAP
> >    looks for libncurses, it doesn't find it, as it shouldn't.
>
> This seems like an interesting approach. I wonder if anything would get
> broken by it (other than ALL the existing packages that provide
> libraries :}).

Most libraries included with packages install in /usr/local/lib (opposed to
/usr/lib). As for libraries that it may depend upon, as long as my GCC specs
file knows where to find libraries, I don't see a problem.

> > I wonder if anyone else thinks it would be a good idea to relocate
> > Cygwin
>
> I think this may be easier than fixing gcc, but I'm sure that fixing gcc
> is a better long term approach. However as I don't have the time nor
> inclination to fix gcc myself, my opinion is just that.
>

Not only is relocating easier, but it's the only current solution to this
particular situation. However, I FULLY agree that the CORRECT solution is to
"enhance" gcc, perhaps to have it honor a switch (e.g. -nostdlibdirs) which
will cause it to ignore the hard-coded standard default directories, i.e.
/usr/lib and /lib (which are one and the same in Cygwin).

Since I won't be submitting this proposed patch either, this is all just my
opinion as well...

Jon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/